DOM::HTMLTextAreaElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLTextAreaElement Class Reference

Multi-line text field. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLTextAreaElement:

[legend]
Collaboration diagram for DOM::HTMLTextAreaElement:

[legend]
List of all members.

## Public Member Functions
| HTMLTextAreaElement (const HTMLTextAreaElement &other)
| HTMLTextAreaElement (const Node &other)
HTMLTextAreaElement & | operator= (const HTMLTextAreaElement &other)
HTMLTextAreaElement & | operator= (const Node &other)
DOMString | defaultValue () const
| Stores the initial control value (i.e., the initial value of `value` ).
void | setDefaultValue (const DOMString &)
| see defaultValue
HTMLFormElement | form () const
| This class or method is obsolete, it is provided for compatibility only..
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
long | cols () const
| Width of control (in characters).
void | setCols (long)
| see cols
bool | disabled () const
| The control is unavailable in this context.
void | setDisabled (bool)
| see disabled
DOMString | name () const
| Form control or object name when submitted with a form.
void | setName (const DOMString &)
| see name
bool | readOnly () const
| This control is read-only.
void | setReadOnly (bool)
| see readOnly
long | rows () const
| Number of text rows.
void | setRows (long)
| see rows
long | tabIndex () const
| Index that represents the element's position in the tabbing order.
void | setTabIndex (long)
| see tabIndex
DOMString | type () const
| The type of this form control.
DOMString | value () const
| The current textual content of the multi-line text field.
void | setValue (const DOMString &)
| see value
void | blur ()
| Removes keyboard focus from this element.
void | focus ()
| Gives keyboard focus to this element.
void | select ()
| Select the contents of the `TEXTAREA` .
## Protected Member Functions
| HTMLTextAreaElement (HTMLTextAreaElementImpl *impl)

## Detailed Description

Multi-line text field.

See the TEXTAREA element definition in HTML 4.0.

Definition at line 985 of file html_form.h.

## Member Function Documentation

DOMString HTMLTextAreaElement::defaultValue | ( |  | ) | const

| Stores the initial control value (i.e., the initial value of `value` ). Definition at line 924 of file html_form.cpp.

void HTMLTextAreaElement::setDefaultValue | ( | const DOMString & |  | ) |

| see defaultValue Definition at line 930 of file html_form.cpp.

HTMLFormElement HTMLTextAreaElement::form | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only.. ### KDE 4.0: remove. Reimplemented from DOM::Element. Definition at line 935 of file html_form.cpp.

DOMString HTMLTextAreaElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 940 of file html_form.cpp.

void HTMLTextAreaElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 946 of file html_form.cpp.

long HTMLTextAreaElement::cols | ( |  | ) | const

| Width of control (in characters). See the cols attribute definition in HTML 4.0. Definition at line 951 of file html_form.cpp.

void HTMLTextAreaElement::setCols | ( | long |  | ) |

| see cols Definition at line 957 of file html_form.cpp. References QString::number(), and value().

bool HTMLTextAreaElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 966 of file html_form.cpp.

void HTMLTextAreaElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 972 of file html_form.cpp.

DOMString HTMLTextAreaElement::name | ( |  | ) | const

| Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0. Definition at line 977 of file html_form.cpp.

void HTMLTextAreaElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 983 of file html_form.cpp.

bool HTMLTextAreaElement::readOnly | ( |  | ) | const

| This control is read-only. See the readonly attribute definition in HTML 4.0. Definition at line 988 of file html_form.cpp.

void HTMLTextAreaElement::setReadOnly | ( | bool |  | ) |

| see readOnly Definition at line 994 of file html_form.cpp.

long HTMLTextAreaElement::rows | ( |  | ) | const

| Number of text rows. See the rows attribute definition in HTML 4.0. Definition at line 999 of file html_form.cpp.

void HTMLTextAreaElement::setRows | ( | long |  | ) |

| see rows Definition at line 1005 of file html_form.cpp. References QString::number(), and value().

long HTMLTextAreaElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 1014 of file html_form.cpp.

void HTMLTextAreaElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 1020 of file html_form.cpp.

DOMString HTMLTextAreaElement::type | ( |  | ) | const

| The type of this form control. Definition at line 1026 of file html_form.cpp.

DOMString HTMLTextAreaElement::value | ( |  | ) | const

| The current textual content of the multi-line text field. If the entirety of the data can not fit into a single wstring, the implementation may truncate the data. Definition at line 1032 of file html_form.cpp. Referenced by setCols(), and setRows().

void HTMLTextAreaElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 1038 of file html_form.cpp.

void HTMLTextAreaElement::blur | ( |  | ) |

| Removes keyboard focus from this element. Definition at line 1043 of file html_form.cpp.

void HTMLTextAreaElement::focus | ( |  | ) |

| Gives keyboard focus to this element. Definition at line 1049 of file html_form.cpp.

void HTMLTextAreaElement::select | ( |  | ) |

| Select the contents of the `TEXTAREA` . Definition at line 1055 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:02 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001